.js-map {
  width: 100% !important;
}

.js-gme-preview > a {
  font-size: var(--f-size-s-2);
  display: block;

  & > img {
    margin-bottom: 1rem;
  }
}

.js-gme-policy {
  font-size: var(--f-size-s-2);
}

.maps__author {
  display: grid;
  grid-template-columns: 70px 1fr;
  grid-gap: var(--g-gap-s);
  font-size: var(--f-size-s-1);
  align-items: center;
  margin-top: 1rem;
}

.author__name {
  font-weight: var(--f-weight-b);
}

.author__image {
  width: 70px;
  border-radius: 35px;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  overflow: hidden;
}

.address__item {
  background: rgb(var(--c-neutral-lighter));
  padding: 1.5rem;
}

.address__list {
  display: grid;
  grid-gap: var(--g-gap);
  margin-top: 2rem;
}

.gm-style {
  font-size: var(--f-size);
  line-height: 1.7;
}

.maps__text {
  margin-bottom: 1rem;
  max-height: 300px;
  overflow-y: auto;
  padding-right: 1rem;
}

.gm-style .gm-style-iw-d {
  overflow: hidden !important;
  padding: 0 1.5rem 1.5rem 1.5rem;
}

.gm-style .gm-style-iw {
  background: rgb(var(--c-neutral-darker));
  color: rgb(var(--c-neutral-lightest));
  border-radius: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-size: var(--f-size);
  padding: 0;
}

.gm-ui-hover-effect > span {
  background-color: rgb(var(--c-neutral-lightest));
}

.gm-style .gm-style-iw-tc {
  -webkit-box-shadow: none;
  box-shadow: none;
}

.gm-style .gm-style-iw-tc::after {
  background: rgb(var(--c-neutral-darker));
}

gmp-advanced-marker svg {
  fill: rgb(var(--c-primary));
}

/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 800px) {
  .address__list {
    grid-template-columns: repeat(2, 1fr);
  }
}